Font Class Reference

Font object is essentially a resource handler for the specific font you want to use. More...

`#include <font.h>`

## Public Member Functions

FGAPI | Font ()
| Creates Font object.
FGAPI | Font (const Font &other)
| Copy constructor for Font.
FGAPI | ~Font ()
| Font Destructor.
FGAPI void | loadFontFile (const char *const pFile)
| Load a given font file.
FGAPI void | loadSystemFont (const char *const pName)
| Load a system font based on the name.
FGAPI fg_font | get () const
| Get handle for internal implementation of Font object.

## Detailed Description

Font object is essentially a resource handler for the specific font you want to use.

Examples
  cpu/fractal.cpp.

## Constructor & Destructor Documentation

## Font() [1/2]

FGAPI Font | ( |  | ) |

Creates Font object.

## Font() [2/2]

FGAPI Font | ( | const Font & | other | ) |

Copy constructor for Font.

Parameters

  [in] | other | is the Font object of which we make a copy of, this is not a deep copy.

## ~Font()

FGAPI ~Font | ( |  | ) |

Font Destructor.

## Member Function Documentation

## get()

FGAPI fg_font get | ( |  | ) | const

Get handle for internal implementation of Font object.

## loadFontFile()

FGAPI void loadFontFile | ( | const char *const | pFile | ) |

Load a given font file.

Parameters

  [in] | pFile | True Type Font file path

## loadSystemFont()

FGAPI void loadSystemFont | ( | const char *const | pName | ) |

Load a system font based on the name.

Parameters

  [in] | pName | True Type Font name

Examples
  cpu/fractal.cpp.

The documentation for this class was generated from the following file:

- font.h